com.sun.grid.jgdi.event

## Class SchedConfModEvent

- java.lang.Object
- - com.sun.grid.jgdi.event.Event
  - - com.sun.grid.jgdi.event.ChangedObjectEvent
    - - com.sun.grid.jgdi.event.ModEvent
      - - com.sun.grid.jgdi.event.SchedConfModEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class SchedConfModEvent
      extends ModEvent
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchedConfModEvent(long timestamp, int eventID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SchedConf` | `get()`
    `void` | `set(SchedConf obj)`
    `void` | `setPKInfo(int numKey1, int numKey2, java.lang.String strKey1, java.lang.String strKey2)` Set the primary key info of the SchedConf.

    - ### Methods inherited from class com.sun.grid.jgdi.event.ChangedObjectEvent

      `getChangedObject, getObjectType, setChangedObject, toString`

    - ### Methods inherited from class com.sun.grid.jgdi.event.Event

      `getEventId, getTimestamp, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SchedConfModEvent

          public SchedConfModEvent(long timestamp,
                                   int eventID)

  - ### Method Detail

    - #### set

          public void set(SchedConf obj)

    - #### get

          public SchedConf get()

    - #### setPKInfo

          public void setPKInfo(int numKey1,
                                int numKey2,
                                java.lang.String strKey1,
                                java.lang.String strKey2)

      Set the primary key info of the SchedConf. This method is not indented for public usage. It is called from the native code to set the primary key info of cull event.
      Specified by:
        `setPKInfo` in class `ChangedObjectEvent`
      Parameters:
        `numKey1` - first numerical key
        `numKey2` - second numerical key
        `strKey1` - fist string key
        `strKey2` - second string key

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.